Create a new branch by cloning an existing branch.
Create a new branch by cloning an existing branch.
Authentication: required
Required API Scope: Instance Workspace: Update
POST
/
workspace
/
{workspace_id}
/
branch
Create a new branch by cloning an existing branch.
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/branch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_branch": "v1",
"label": "feature-branch",
"description": "A new feature branch",
"color": "#ebc346"
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/branch"
payload = {
"source_branch": "v1",
"label": "feature-branch",
"description": "A new feature branch",
"color": "#ebc346"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source_branch: 'v1',
label: 'feature-branch',
description: 'A new feature branch',
color: '#ebc346'
})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/branch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-06-22 22:59:11+0000",
"label": "v1",
"live": true,
"backup": "false"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/jsonmultipart/form-data
Was this page helpful?
⌘I
Create a new branch by cloning an existing branch.
